Bug 874235 - libvirt: no event is sent to vdsm in case vm is terminated on signal 15 after hibernate failure
Summary: libvirt: no event is sent to vdsm in case vm is terminated on signal 15 after...
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: libvirt
Version: 6.3
Hardware: x86_64
OS: Linux
urgent
urgent
Target Milestone: rc
: ---
Assignee: Michal Privoznik
QA Contact: Virtualization Bugs
URL:
Whiteboard:
Keywords: ZStream
Depends On: 866388
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-11-07 18:41 UTC by Chris Pelland
Modified: 2012-11-22 09:40 UTC (History)
15 users (show)

(edit)
Cause:
Certain operations in libvirt can be done only when domain is paused so its memory doesn't change, e.g. saving onto disk. Otherwise it may lead to data corruption. In order to prevent this, libvirt translates domain to paused state itself whenever needed. The domain should be resumed then ASAP.

Consequence:
If the resuming operation failed, management application wasn't notified since no event was sent.

Fix:
The new VIR_DOMAIN_EVENT_SUSPENDED_API_ERROR event was invented. This event is fired every time the resuming operation fails.

Result:
Management applications can keep closer track of domain state and act accordingly.
Clone Of:
(edit)
Last Closed: 2012-11-22 09:40:24 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2012:1484 normal SHIPPED_LIVE libvirt bug fix update 2012-11-22 14:39:12 UTC

Description Chris Pelland 2012-11-07 18:41:16 UTC
This bug has been copied from bug #866388 and has been proposed
to be backported to 6.3 z-stream (EUS).

Comment 8 Dafna Ron 2012-11-15 16:09:20 UTC
verified on libvirt-0.9.10-21.el6_3.6

Comment 10 errata-xmlrpc 2012-11-22 09:40:24 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2012-1484.html


Note You need to log in before you can comment on or make changes to this bug.